aboutsummaryrefslogtreecommitdiffstats
path: root/main/v4l-utils/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-04-17 15:15:10 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-04-17 15:16:14 +0000
commit71fd9622695002408ff154bffc756872d4a12a22 (patch)
treee96b9574903c579b78d667549f6012cba2d9258c /main/v4l-utils/APKBUILD
parent58f5f8339f3ffa52eb53b3ec15eb7818d0cdcbd6 (diff)
downloadaports-71fd9622695002408ff154bffc756872d4a12a22.tar.gz
aports-71fd9622695002408ff154bffc756872d4a12a22.tar.bz2
aports-71fd9622695002408ff154bffc756872d4a12a22.tar.xz
main/v4l-utils: fix qt application
We want it in a subpackage and we need proper icon and desktop file
Diffstat (limited to 'main/v4l-utils/APKBUILD')
-rw-r--r--main/v4l-utils/APKBUILD28
1 files changed, 21 insertions, 7 deletions
diff --git a/main/v4l-utils/APKBUILD b/main/v4l-utils/APKBUILD
index 0bb818ac0f..38eeaa3c2c 100644
--- a/main/v4l-utils/APKBUILD
+++ b/main/v4l-utils/APKBUILD
@@ -2,17 +2,18 @@
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=v4l-utils
pkgver=0.8.3
-pkgrel=0
+pkgrel=1
pkgdesc="Userspace tools and conversion library for Video 4 Linux"
url="http://freshmeat.net/projects/libv4l"
arch="all"
license="LGPL"
depends=""
-depends_dev="qt-dev"
-makedepends=""
+makedepends="qt-dev"
install=""
-subpackages="$pkgname-dev"
-source="http://linuxtv.org/downloads/v4l-utils/$pkgname-$pkgver.tar.bz2"
+subpackages="$pkgname-dev qv4l2"
+source="http://linuxtv.org/downloads/v4l-utils/$pkgname-$pkgver.tar.bz2
+ qv4l2.svg
+ qv4l2.desktop"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -34,7 +35,20 @@ build() {
package() {
cd "$_builddir"
- make PREFIX="/usr" DESTDIR="$pkgdir" install || return 1
+ make -j1 PREFIX="/usr" DESTDIR="$pkgdir" install || return 1
+ install -Dm644 "$srcdir"/qv4l2.desktop \
+ "$pkgdir"/usr/share/applications/qv4l2.desktop || return 1
+ install -Dm644 "$srcdir"/qv4l2.svg \
+ "$pkgdir"/usr/share/icons/hicolor/scalable/apps/qv4l2.svg
}
-md5sums="f25ad639717d7411a58f10a9e378d7db v4l-utils-0.8.3.tar.bz2"
+qv4l2() {
+ pkgdesc="QT v4l2 test control and streaming test application"
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/qv4l2 "$subpkgdir"/usr/bin/ || return 1
+ mv "$pkgdir"/usr/share "$subpkgdir"/usr/ || return 1
+}
+
+md5sums="f25ad639717d7411a58f10a9e378d7db v4l-utils-0.8.3.tar.bz2
+75ef594ddfe48e48df99c96c2af6b51e qv4l2.svg
+b2e51f9663cee1c38a1d99d76a6b529f qv4l2.desktop"